package com.hxhq.business.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
        import com.hxhq.common.core.utils.DateUtils;
import com.hxhq.common.core.utils.StringUtils;
import org.springframework.stereotype.Service;
import com.hxhq.business.mapper.JcbMapper;
import com.hxhq.business.domain.Jcb;
import com.hxhq.business.service.IJcbService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 检测板Service业务层处理
 *
 * @author hxhq
 * @date 2026-02-09
 */
@Service
public class JcbServiceImpl extends ServiceImpl<JcbMapper, Jcb> implements IJcbService
{
    /**
     * 查询检测板列表
     *
     * @param jcb 检测板
     * @return 检测板
     */
    @Override
    public List<Jcb> queryList(Jcb jcb)
    {
        QueryWrapper<Jcb> queryWrapper = Wrappers.query();
        if(StringUtils.isNoneBlank(jcb.getBh())){
            queryWrapper.like("bh",jcb.getBh());
        }
        if(StringUtils.isNoneBlank(jcb.getCjr())){
            queryWrapper.like("cjr",jcb.getCjr());
        }
        queryWrapper.orderByDesc("id");
        return this.list(queryWrapper);
    }

}
